﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;



public class EventEffectAudio : MonoBehaviour
{
    public AudioSource m_Audio; 
    
    // Start is called before the first frame update
    void Start()
    {
        m_Audio = GetComponent<AudioSource>();
    }


    public void PlayEffect(string resourceName){


        AudioClip audioClip;
        audioClip = Resources.Load<AudioClip>("Audio/sfx/"+resourceName);
        m_Audio.PlayOneShot(audioClip, 0.7F);
    }

 
}
