﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class VacationTime : MonoBehaviour
{
    public bool Running = false;
    public int Minutes = 0;
    public int Hours = 3;
    public int Days = 0;

    [Range(0,1)]
    public float MinuteLength;
    private float time = 0;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    public void Reset() {
        Running = false;
        Minutes = 0;
        Hours = 3;
        Days = 0;
    }

    // Update is called once per frame
    void Update()
    {
        if (!Running)
            return;

        time += Time.deltaTime;
        if (time > MinuteLength) {
            AddMinute();
            time = 0;
        }
    }

    void AddMinute() {
        Minutes++;
        if (Minutes >= 60) {
            Hours++;
            Minutes = 0;
        }

        if (Hours >= 24) {
            Days++;
            Hours = 0;
        }

        if (Days == 7) {
            // Win game
        }

    }
}
